-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AssessmentRange")

L:RegisterTranslations("enUS", function() return {
	["Log Range"] = true,
	["Adjusts the range of log messages, affecting what data Assessment is able to capture."] = true,

	["Log Range"] = true,
	["Creatures"] = true,
	["Adjust log range for creature messages"] = true,
	["Death"] = true,
	["Adjust log range for death messages"] = true,
	["Friendly Players"] = true,
	["Adjust log range for friendly player messages"] = true,
	["Friendly Player Pets"] = true,
	["Adjust log range for friendly player pet messages"] = true,
	["Hostile Players"] = true,
	["Adjust log range for hostile player messages"] = true,
	["Hostile Player Pets"] = true,
	["Adjust log range for hostile player pet messages"] = true,
	["Party"] = true,
	["Adjust log range for party messages"] = true,
	["Party Pets"] = true,
	["Adjust log range for party pet messages"] = true,

	["Set All"] = true,
	["Set all combat log ranges"] = true,
	["Reset"] = true,
	["Reset all combat log ranges to their defaults"] = true,
} end)

L:RegisterTranslations("koKR", function() return {
	["Log Range"] = "로그 범위",
	["Adjusts the range of log messages, affecting what data Assessment is able to capture."] = "Assessment가 캡쳐할 수 있는 데이터에 작용하는 로그 메세지의 범위를 조절합니다.",

--	["Log Range"] = "로그 범위",
	["Creatures"] = "NPC",
	["Adjust log range for creature messages"] = "NPC 메세지에 대한 로그 범위를 조절합니다.",
	["Death"] = "죽음",
	["Adjust log range for death messages"] = "죽음 메세지에 대한 로그 범위를 조절합니다.",
	["Friendly Players"] = "우호적 플레이어",
	["Adjust log range for friendly player messages"] = "우호적 플레이어 메세지에 대한 로그 범위를 조절합니다.",
	["Friendly Player Pets"] = "우호적 플레이어 소환수",
	["Adjust log range for friendly player pet messages"] = "우호적 플레이어 소환수 메세지에 대한 로그 범위를 조절합니다.",
	["Hostile Players"] = "적대적 플레이어",
	["Adjust log range for hostile player messages"] = "적대적 플레이어 메세지에 대한 로그 범위를 조절합니다.",
	["Hostile Player Pets"] = "적대적 플레이어 소환수",
	["Adjust log range for hostile player pet messages"] = "적대적 플레이어 소환수 메세지에 대한 로그 범위를 조절합니다.",
	["Party"] = "파티",
	["Adjust log range for party messages"] = "파티 메세지에 대한 로그 범위를 조절합니다.",
	["Party Pets"] = "파티 소환수",
	["Adjust log range for party pet messages"] = "파티 소환수 메세지에 대한 로그 범위를 조절합니다.",

	["Set All"] = "전체 설정",
	["Set all combat log ranges"] = "모든 전투 로그의 범위를 설정합니다.",
	["Reset"] = "초기화",
	["Reset all combat log ranges to their defaults"] = "모든 전투 로그 범위를 기본값으로 초기화합니다.",
} end)

-----------------------------------------------------------------------------

local logRangeCVarList =
{
	"CombatLogRangeCreature",
	"CombatDeathLogRange",
	"CombatLogRangeFriendlyPlayers",
	"CombatLogRangeFriendlyPlayersPets",
	"CombatLogRangeHostilePlayers",
	"CombatLogRangeHostilePlayersPets",
	"CombatLogRangeParty",
	"CombatLogRangePartyPet"
}

Assessment.Options.args.logRange =
{
	type = "group",
	name = L["Log Range"],
	desc = L["Adjusts the range of log messages, affecting what data Assessment is able to capture."],
	order = 100,
	args = 
	{
		creatures =
		{
			type = "range",
			name = L["Creatures"],
			desc = L["Adjust log range for creature messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeCreature"
		},
		death =
		{
			type = "range",
			name = L["Death"],
			desc = L["Adjust log range for death messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatDeathLogRange"
		},
		friendlyPlayers =
		{
			type = "range",
			name = L["Friendly Players"],
			desc = L["Adjust log range for friendly player messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeFriendlyPlayers"
		},
		friendlyPlayerPets =
		{
			type = "range",
			name = L["Friendly Player Pets"],
			desc = L["Adjust log range for friendly player pet messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeFriendlyPlayersPets"
		},
		hostilePlayers =
		{
			type = "range",
			name = L["Hostile Players"],
			desc = L["Adjust log range for hostile player messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeHostilePlayers"
		},
		hostilePlayerPets =
		{
			type = "range",
			name = L["Hostile Player Pets"],
			desc = L["Adjust log range for hostile player pet messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeHostilePlayersPets"
		},
		party =
		{
			type = "range",
			name = L["Party"],
			desc = L["Adjust log range for party messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeParty"
		},
		partyPets =
		{
			type = "range",
			name = L["Party Pets"],
			desc = L["Adjust log range for party pet messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangePartyPet"
		},
		setAll =
		{
			type = "range",
			name = L["Set All"],
			desc = L["Set all combat log ranges"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = function(passValue, value) 
					if GetCVar(passValue) == value then return end
					for _,k in ipairs(logRangeCVarList) do
						SetCVar(k, value)
					end
				  end,
			passValue = "CombatLogRangeParty",
			order = -2,
		},
		reset =
		{
			type = "execute",
			name = L["Reset"],
			desc = L["Reset all combat log ranges to their defaults"],
			func = function() 
					for _,k in ipairs(logRangeCVarList) do
						SetCVar(k, GetCVarDefault(k))
					end
				  end,
			order = -1,
		}
	}
}

-----------------------------------------------------------------------------
